Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=gnometesting.git;a=commitdiff;h=0de601c558b4d3a0b989063ce750cbc61b60649e

commit 0de601c558b4d3a0b989063ce750cbc61b60649e
Author: bouleetbil <bouleet...@frogdev.info>
Date:   Mon Mar 1 11:01:55 2010 +0100

gnome-python-desktop-2.29.1-2-x86_64
*rewrite it
*moved deprecated binding to extra

diff --git a/source/gnome/gnome-python-desktop/FrugalBuild 
b/source/gnome/gnome-python-desktop/FrugalBuild
index 9219ce2..4a323b6 100644
--- a/source/gnome/gnome-python-desktop/FrugalBuild
+++ b/source/gnome/gnome-python-desktop/FrugalBuild
@@ -4,38 +4,127 @@

pkgname=gnome-python-desktop
pkgver=2.29.1
-pkgrel=1
+pkgrel=2
pkgdesc="Python bindings for GNOME desktop"
url="http://www.pygtk.org/";
depends=('gnome-python>=2.28.0')
-makedepends=('metacity>=2.28.0' 'gnome-media>=2.28.0' 'gnome-panel>=2.29.0' 
'gtksourceview1' 'totem>=2.29.0' \
-       'libgtop>=2.28.0' 'bug-buddy>=2.28.0' 'evince>=2.29.0' 
'nautilus-cd-burner>=2.25.3-2' 'brasero')
groups=('gnome')
archs=('i686' 'x86_64' 'ppc')
Finclude gnome python
source=($source Fix_totem.diff)
-subpkgs=("$pkgname-applet" "$pkgname-desktop" "$pkgname-keyring" 
"$pkgname-print" "$pkgname-gtksourceview" "$pkgname-gtop" 
"$pkgname-mediaprofiles" \
-        "$pkgname-metacity" "$pkgname-rsvg" "$pkgname-totem" "$pkgname-wnck" 
"$pkgname-bugbuddy" "$pkgname-evince" \
-       "$pkgname-evolution" "$pkgname-nautilusburn" "$pkgname-brasero")
-subdescs=('Gnome panel applet python module' 'Gnome desktop python module' 
'Gnome keyring python module' 'Gnome print python module' \
-         'Gtksourceview python module' 'Gtop python module' 'Gnome 
mediaprofiles python module' 'Metacity python module' \
-         'librsvg python module' 'Totem python module' 'libwnck python module' 
\
-         'Bug Buddy integration module' 'evince python module' 'evolution 
python module' 'nautilus-cd-burner python module' 'brasero python module')
-subdepends=("gnome-panel>=2.29.0" "gnome-desktop>=2.29.0" 
"gnome-keyring>=2.29.0" \
-           "libgnomeprint>=2.18.1 libgnomeprintui>=2.18.1" "gtksourceview1" \
-           "libgtop>=2.28.0" "gnome-media>=2.26.0" "metacity>=2.28.0" \
-           "librsvg" "totem>=2.29.0" \
-           "python libxext glibc freetype2 libxau libxdmcp libice libxdamage 
libxml2 libwnck>=2.29.0" "bug-buddy>=2.28.0" \
-       "evince>=2.26.0" "evolution" "nautilus-cd-burner" "brasero")
-subgroups=('gnome' 'gnome' 'gnome' 'gnome' 'gnome' 'gnome' 'gnome' 'gnome' 
'gnome' 'gnome' 'gnome' 'gnome'\
-               'gnome' 'gnome' 'gnome-extra' 'gnome-extra')
-subarchs=('i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 
ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' \
-         'i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 
ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' 'i686 x86_64 ppc' \
-       'i686 x86_64 ppc')
-subrodepends=("$pkgname=$pkgver" "$pkgname=$pkgver" "$pkgname=$pkgver" 
"$pkgname=$pkgver" \
-       "$pkgname=$pkgver" "$pkgname=$pkgver" "$pkgname=$pkgver" 
"$pkgname=$pkgver $pkgname-print=$pkgver" \
-       "$pkgname=$pkgver" "$pkgname=$pkgver" "$pkgname=$pkgver" 
"$pkgname=$pkgver" \
-       "$pkgname=$pkgver" "$pkgname=$pkgver" "$pkgname=$pkgver" 
"$pkgname=$pkgver")
+
+subpkgs=("${subpk...@]}" "$pkgname-applet")
+subdescs=("${subdes...@]}" 'Gnome panel applet python module')
+subdepends=("${subdepen...@]}" "gnome-panel>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-desktop")
+subdescs=("${subdes...@]}" 'Gnome desktop python module')
+subdepends=("${subdepen...@]}" "gnome-desktop>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-keyring")
+subdescs=("${subdes...@]}" 'Gnome keyring python module')
+subdepends=("${subdepen...@]}" "gnome-keyring>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-print")
+subdescs=("${subdes...@]}" 'Gnome print python module')
+subdepends=("${subdepen...@]}" "libgnomeprint>=2.18.1 libgnomeprintui>=2.18.1")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome-extra')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-gtksourceview")
+subdescs=("${subdes...@]}" 'Gtksourceview python module')
+subdepends=("${subdepen...@]}" "gtksourceview1")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome-extra')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-gtop")
+subdescs=("${subdes...@]}" 'Gtop python module')
+subdepends=("${subdepen...@]}" "libgtop>=2.28.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-mediaprofiles")
+subdescs=("${subdes...@]}" 'Gnome mediaprofiles python module')
+subdepends=("${subdepen...@]}" "gnome-media>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-metacity")
+subdescs=("${subdes...@]}" 'Metacity python module')
+subdepends=("${subdepen...@]}" "metacity>=2.28.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-rsvg")
+subdescs=("${subdes...@]}" 'librsvg python module')
+subdepends=("${subdepen...@]}" "librsvg")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-totem")
+subdescs=("${subdes...@]}" 'Totem python module')
+subdepends=("${subdepen...@]}" "totem>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-wnck")
+subdescs=("${subdes...@]}" 'libwnck python module')
+subdepends=("${subdepen...@]}" "python libxext glibc freetype2 libxau \
+               libxdmcp libice libxdamage libxml2 libwnck>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-bugbuddy")
+subdescs=("${subdes...@]}" 'Bug Buddy integration module')
+subdepends=("${subdepen...@]}" "bug-buddy>=2.28.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-evince")
+subdescs=("${subdes...@]}" 'evince python module')
+subdepends=("${subdepen...@]}" "evince>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-evolution")
+subdescs=("${subdes...@]}" 'evolution python module')
+subdepends=("${subdepen...@]}" "evolution>=2.29.0")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-nautilusburn")
+subdescs=("${subdes...@]}" 'nautilus-cd-burner python module')
+subdepends=("${subdepen...@]}" "nautilus-cd-burner")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome-extra')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
+
+subpkgs=("${subpk...@]}" "$pkgname-brasero")
+subdescs=("${subdes...@]}" 'brasero python module')
+subdepends=("${subdepen...@]}" "brasero")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'gnome')
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

## NOTE: the depends are not really right for gnome-python-desktop-wnck , 
$pkgname depends/rodepends got removed
##       to make some rox crap happy. So you have to add gnome-python{-desktop} 
depends to any gnome* package need
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to